import React from 'react';
import ReactDOM from 'react-dom';
// import {Router, Route, browserHistory, IndexRoute} from 'react-router';
import {Provider} from 'react-redux';
import {createStore, applyMiddleware} from 'redux';
import reducers from './reducers';
// import routes from './routes';
import Login from './components/Login';
import thunk from 'redux-thunk';

const middleware = [thunk];

const store = createStore(reducers, applyMiddleware(...middleware));

store.subscribe(() => {
    console.log(store.getState());
});

ReactDOM.render(
    <Provider store={store}>
		<Login />
        {/*<Router history={browserHistory} routes={routes} />*/}
    </Provider>,
    document.getElementById('app')
);